import request from '@/utils/request'

// 查询每日各时段查堵行李列表
export function listDailyLuggageInspectionScheduleByTime(query) {
  return request({
    url: '/blocked/pieceDaily/list',
    method: 'get',
    params: query
  })
}

// 查询每日各时段查堵行李详细
export function getDailyLuggageInspectionScheduleByTime(id) {
  return request({
    url: `/blocked/pieceDaily/${id}`,
    method: 'get'
  })
}

// 新增每日各时段查堵行李
export function addDailyLuggageInspectionScheduleByTime(data) {
  return request({
    url: '/blocked/pieceDaily',
    method: 'post',
    data: data
  })
}

// 修改每日各时段查堵行李
export function updateDailyLuggageInspectionScheduleByTime(data) {
  return request({
    url: '/blocked/pieceDaily',
    method: 'put',
    data: data
  })
}

// 删除每日各时段查堵行李
export function delDailyLuggageInspectionScheduleByTime(ids) {
  return request({
    url: `/blocked/pieceDaily/${ids}`,
    method: 'delete'
  })
}

// 导出每日各时段查堵行李
export function exportDailyLuggageInspectionScheduleByTime(data) {
  return request({
    url: '/blocked/pieceDaily/export',
    method: 'post',
    data: data
  })
}

// 下载导入模板
export function downloadTemplate() {
  return request({
    url: '/blocked/pieceDaily/importTemplate',
    method: 'get',
    responseType: 'blob'
  })
}